[![Continous integration](https://github.com/frePPLe/frepple/actions/workflows/ubuntu18.yml/badge.svg)](https://github.com/frePPLe/frepple/actions/workflows/ubuntu18.yml)
[![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/frePPLe/frepple.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/frePPLe/frepple/context:python)
[![Language grade: C/C++](https://img.shields.io/lgtm/grade/cpp/g/frePPLe/frepple.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/frePPLe/frepple/context:cpp)
[![Language grade: JavaScript](https://img.shields.io/lgtm/grade/javascript/g/frePPLe/frepple.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/frePPLe/frepple/context:javascript)

# frePPLe

## Open source supply chain planning

FrePPLe is an easy-to-use and easy-to-implement open source **advanced planning and scheduling** tool for manufacturing companies.

When spreadsheets doesn't suffice any longer to adequately plan and schedule your production, frePPLe allows an easy and cost-efficient way to generate a more optimized plan.

FrePPLe implements planning algoritms based on best practices such as **theory of constraints** (ie *plan around the bottleneck*), **pull-based planning** (ie *start production as late as possible and directly triggered by demand*) and **lean manufacturing** (ie *avoid intermediate delays and inventory*).

## Download

The software can be downloaded in the following formats:

* Ubuntu 18 .deb package on https://github.com/frePPLe/frepple/releases/
* Docker container on https://github.com/orgs/frePPLe/packages/container/package/frepple-community
* Source tarball or zip file from https://github.com/frePPLe/frepple/releases/
* Documentation zip file from https://github.com/frePPLe/frepple/releases/

## Documentation

Visit [https://frepple.com](https://frepple.com) for documentation, screencasts and build instructions.

## License

The *Community Edition* is released under the [GNU Affero General
Public License v3 or later](http://www.gnu.org/licenses/).

The *Enterprise Edition* can be purchased from frePPLe bv. It provides additional functionality
and professional support.

The *Cloud Edition* provides provides the same capabilities as the Enterprise Edition, but is
hosted as a service in the cloud: fully supported and maintained by frePPLe bv.
